var app = angular.module('upload', []);
//上传
app.controller('uploads',function($scope,$http)
{   
	$scope.reader = new FileReader();   //创建一个FileReader接口
	$scope.image = {     //用于绑定提交内容，图片或其他数据
	};
	$scope.thumb = {};      //用于存放图片的base64
	
	$scope.img_upload = function(files) {       //单次提交图片的函数
		$scope.guid = (new Date()).valueOf();   //通过时间戳创建一个随机数，作为键名使用
		$scope.reader.readAsDataURL(files[0]);  //FileReader的方法，把图片转成base64
		$scope.reader.onload = function(ev) {
			$scope.$apply(function(){
				$scope.thumb[$scope.guid] = {
						imgSrc : ev.target.result,  //接收base64
				};
			});
		};

		var data = new FormData();      //以下为像后台提交图片数据
		data.append('myFile', files[0]);
		data.append('guid',$scope.guid);
		$http({
			method: 'post',
			url: 'upload.action',
			data:data,
			headers: {'Content-Type': undefined},
			transformRequest: angular.identity
		}).success(function(data) {
			$scope.image[$scope.guid] = data;
		});
	};
	/*删除，删除的时候thumb和form里面的图片数据都要删除，避免提交不必要的*/
	$scope.img_del = function(key) { 
		var guidArr = [];
		for(var p in $scope.thumb){
			guidArr.push(p);
		}
		delete $scope.thumb[guidArr[key]];
		delete $scope.image[guidArr[key]];
	};
	/*  图片选择完毕后的提交，这个提交并没有提交前面的图片数据，只是提交用户操作完毕后，
　　　      到底要上传哪些，通过提交键名或者链接，后台来判断最终用户的选择,整个思路也是如此
	 */
	$scope.addshows=function(){
		$http({
			method: "post",
			url: "showsAction!addShows.action",
			params:{
				 worksname:$scope.worksname,
 				 school:$scope.school,
 				 professional:$scope.professional,
				 phonenumber:$scope.phonenumber,
				 email:$scope.email,
				 qq:$scope.qq,
				 url:$scope.url,
				 image:$scope.image
			}
		})
		.success(function(data){
			alert("添加成功！！！！");
			window.location.href="index.html";
		});
	};    
});